Package org.apache.lucene.util

# Interface ResourceLoaderAware

public interface ResourceLoaderAware
Interface for a component that needs to be initialized by an implementation of `ResourceLoader`.

See Also:
  - `ResourceLoader`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `inform(ResourceLoader loader)`
  Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

- ## Method Details

  - ### inform

    void inform(ResourceLoader loader) throws IOException
    Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
    Throws:
      `IOException`